/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('../assets/img/Imagem6.jpg') no-repeat center center fixed;
    background-size: cover;
    /* Faz a imagem cobrir toda a tela */
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    transition: 1s;
    width: 100vw;
    font-size: 1.2rem;
    z-index: 100;
    cursor: pointer;
    font-weight: 400;
    background-color: #fff;


}

.navbar.rolagem {
    background-color: #fff;
    color: var(--text-color);
    position: fixed;
    font-size: 1.25rem;
    box-shadow: rgba(50, 50, 93, 0.15) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;

}

.navbar.rolagem a {
    color: var(--text-color);
}

.navbar__items {
    position: relative;
    padding-top: 3rem;
    padding-bottom: 2rem;
    width: 100%;
    display: flex;
    font-family: 'Poppins', sans-serif;
    padding-left: 3rem;
    padding-right: 3rem;


}

.navbar__item {
    display: inline-block;
    list-style: none;
    margin: 0 3rem;
    padding: 0rem;
    text-decoration: none;

}

.navbar__item a {
    text-decoration: none;
    color: #000;
    position: relative;

}

.navbar ul li a::before {
    content: ' ';
    position: absolute;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #ffffff;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
    transform-origin: right;


}

.navbar ul li a::before {
    content: ' ';
    position: absolute;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #ffffff;
    transform: scaleX(0);
    transition: transform 0.5s ease-in-out;
    transform-origin: right;


}

.navbar.rolagem ul li a::before {
    background-color: #000;

}


.navbar ul li a:hover::before {
    transform: scaleX(1);
    transform-origin: left;

}



.navbar__logo {
    padding-top: 3rem;
    padding-bottom: 2rem;
    padding-left: 3rem;


}


.navbar__logo img {
    display: block;
    max-width: 12.5rem;
    width: 100%;
    margin-top: -2.15rem;

}


.dropdown {
    position: relative;
}

.dropdown-menu li a::before {
    display: none;
}

.dropdown-menu {
    display: none;
    position: absolute;
    top: 105%;
    left: 0;
    background-color: #fff;
    padding: 0;
    margin: 0;
    list-style: none;
    z-index: 100;
    min-width: 200px;
    border-radius: 10px;
    transition: 1s;
    box-shadow: rgba(50, 50, 93, 0.15) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;

}

.dropdown-menu li {
    display: block;
    padding: 0;
}

.dropdown-menu li a {

    text-decoration: none;
    display: block;
    padding: 1rem;
    white-space: nowrap;
}

.dropdown-menu li a:hover {
    color: #fff;
    background-color: #47a884;
    border-radius: 0px;
}

.dropdown:hover .dropdown-menu,
.dropdown-menu:hover {
    display: block;
}


#dropdown-eolica a:hover {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.navbar__menu-icon {
    display: none;

}

.navbar__mobile {
    display: none;
    flex-direction: column;
    text-align: center;
    position: absolute;
    top: 100%;
    /* Fica logo abaixo do navbar */
    left: 0;
    width: 100%;
    /* O menu ocupa toda a largura */
}



@media screen and (max-width: 880px) {

    .nav {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .navbar.rolagem button {
        color: var(--text-color);
    }

    .navbar__items {
        display: none;
    }

    .navbar__items a {
        color: #000;
    }

    .navbar__menu-icon {

        display: block;
        padding: 2rem 2rem;
        height: 100%;
        line-height: 1;

    }


    .navbar__menu-icon button {
        background-color: transparent;
        cursor: pointer;
        border: none;
        color: #000;
        font-size: 2rem;
    }

    .navbar__logo {
        padding: 2rem 1rem;
        margin-top: 1rem;
    }

    .navbar__logo img {
        width: 90%;
        padding: 0rem 0rem;
    }

    .navbar__mobile ul {
        display: flex;
        flex-direction: column;
        text-align: center;
        padding-bottom: 1rem;

    }

    .navbar__mobile .navbar__item {
        display: none;
        padding-top: 1.2rem;
    }

    .open {
        display: block;
    }
}

.forms-login,
.forms-registro {
    margin-top: 7rem;
    width: 50%;
    /* Cada formulário ocupa metade do espaço disponível */
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Formulários */
.form {
    width: 49%;
    padding: 3rem;
    background-color: #fff;
    border-radius: 60px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: opacity 1.5s, transform 1.5s ease-in-out;
}

.form h2 {
    margin-bottom: 1rem;
    /* Ajusta o espaço superior */
}

.form input {
    border: 1px solid #c7c7c7;
    border-radius: 10px;
    padding: 0.5rem 0.5rem;
    font-family: 'Poppins', sans-serif;
    font-size: 1.3rem;
    color: #000;
    margin-top: 0.5rem;

}

.form button {
    border-width: 5px;
    border-style: solid;
    border-color: #108023;
    font-size: 2.5rem;
    color: #108023;
    /* Cor inicial do texto */
    background-color: #fff;
    font-family: 'League Spartan', sans-serif;
    font-weight: 700;
    padding: 0.5rem 2rem;
    transition: all 1s cubic-bezier(.23, 1, 0.32, 1);
    border-radius: 100px;
    margin-top: 1rem;
    margin-bottom: 1rem;
    cursor: pointer;
}

.form button:hover {
    border-color: #108023;
    color: #fff;
    /* Cor do texto muda para branco */
    background-color: #108023;
    /* Cor do fundo fica verde */
    box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
}

.form a {
    color: #47a884;
    text-decoration: none;
    font-size: 0.9rem;
    margin-top: 0.5rem;
}

.form a:hover {
    text-decoration: underline;
}

/* Controle de visibilidade com transição suave */
.form.active {
    opacity: 1;
    pointer-events: auto;
    transform: translateX(0);
}

.form:not(.active) {
    opacity: 0;
    pointer-events: none;
    transform: translateX(-20%);
    transition: opacity 1.5s, transform 1.5s ease-in-out;
}